PrefabFiles = {
	"aura_attack",
	"aurabit",
	"aurabitdummy",
	"aurasphere",
	"auraspherefire",
	"aurastaff",	
	"bonerush",
	"bonerushfire",
	"bonesharddummy",
	"dreamsphere",
	"dreamspherefire",
	"dreamaura_attack",
	"lucario",
	"lucariofur",
	"lucariohat",
	"lucariohati",	
	"metalclaw",
	"mlucario",
	"mshinycario",	
	"shadowclaw",
	"shadowclawfire",
	"shinycario",	
	"solarsphere",
	"solarspherefire",
	"solar_attack",
	"swiftsphere",
	"swiftspherefire",
	"swiftaura_attack",
	"violentsphere",
	"violentspherefire",
	"violentaura_attack",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/lucario.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/lucario.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/lucario.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lucario.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/lucario_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/lucario_silho.xml" ),

    Asset( "IMAGE", "bigportraits/lucario.tex" ),
    Asset( "ATLAS", "bigportraits/lucario.xml" ),
	
	Asset( "IMAGE", "images/map_icons/lucario.tex" ),
	Asset( "ATLAS", "images/map_icons/lucario.xml" ),
	
--Shiny--

    Asset( "IMAGE", "images/saveslot_portraits/shinycario.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/shinycario.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/shinycario.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shinycario.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/shinycario_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/shinycario_silho.xml" ),

    Asset( "IMAGE", "bigportraits/shinycario.tex" ),
    Asset( "ATLAS", "bigportraits/shinycario.xml" ),
	
	Asset( "IMAGE", "images/map_icons/shinycario.tex" ),
	Asset( "ATLAS", "images/map_icons/shinycario.xml" ),

--Mad Lucario--	
	
	Asset("IMAGE", "images/saveslot_portraits/mlucario.tex"),
    Asset("ATLAS", "images/saveslot_portraits/mlucario.xml"),

    Asset("IMAGE", "images/selectscreen_portraits/mlucario.tex"),
    Asset("ATLAS", "images/selectscreen_portraits/mlucario.xml"),
	
    Asset("IMAGE", "images/selectscreen_portraits/mlucario_silho.tex"),
    Asset("ATLAS", "images/selectscreen_portraits/mlucario_silho.xml"),

    Asset("IMAGE", "bigportraits/mlucario.tex"),
    Asset("ATLAS", "bigportraits/mlucario.xml"),
	
	Asset("IMAGE", "images/map_icons/mlucario.tex"),
	Asset("ATLAS", "images/map_icons/mlucario.xml"),
	
--Shiny (Cool)--

	Asset("IMAGE", "images/saveslot_portraits/mshinycario.tex"),
    Asset("ATLAS", "images/saveslot_portraits/mshinycario.xml"),

    Asset("IMAGE", "images/selectscreen_portraits/mshinycario.tex"),
    Asset("ATLAS", "images/selectscreen_portraits/mshinycario.xml"),
	
    Asset("IMAGE", "images/selectscreen_portraits/mshinycario_silho.tex"),
    Asset("ATLAS", "images/selectscreen_portraits/mshinycario_silho.xml"),

    Asset("IMAGE", "bigportraits/mshinycario.tex"),
    Asset("ATLAS", "bigportraits/mshinycario.xml"),
	
	Asset("IMAGE", "images/map_icons/mshinycario.tex"),
	Asset("ATLAS", "images/map_icons/mshinycario.xml"),

}

local require = GLOBAL.require
require "lucario_strings"
local STRINGS = GLOBAL.STRINGS
GLOBAL.STRINGS.NAMES.AURABIT = "Aura Bit"
GLOBAL.STRINGS.NAMES.AURABITDUMMY = "Aura Bit"
GLOBAL.STRINGS.NAMES.AURASPHERE = "Aura Sphere"
GLOBAL.STRINGS.NAMES.AURASTAFF = "Aura Guardian Staff"
GLOBAL.STRINGS.NAMES.BONERUSH = "Bone Rush"
GLOBAL.STRINGS.NAMES.BONESHARDDUMMY = "Boneshard"
GLOBAL.STRINGS.NAMES.DREAMSPHERE = "Dream Sphere"
GLOBAL.STRINGS.NAMES.LUCARIOFUR = "Lucario Fur"
GLOBAL.STRINGS.NAMES.LUCARIOHAT = "Aura Guardian Hat"
GLOBAL.STRINGS.NAMES.METALCLAW = "TM Metal Claw"
GLOBAL.STRINGS.NAMES.SHADOWCLAW = "TM Shadow Claw"
GLOBAL.STRINGS.NAMES.SOLARSPHERE = "Solar Sphere"
GLOBAL.STRINGS.NAMES.SWIFTSPHERE = "Swift Sphere"
GLOBAL.STRINGS.NAMES.VIOLENTSPHERE = "Violent Sphere"
GLOBAL.STRINGS.TABS.AURATAB = "Aura"

local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe

--Recipe Descriptions

STRINGS.RECIPE_DESC.AURASPHERE = "Every Lucario should have one!" 
STRINGS.RECIPE_DESC.AURABIT = "Extract life as aura."
STRINGS.RECIPE_DESC.AURABITDUMMY = "Extract life as aura."
STRINGS.RECIPE_DESC.AURASTAFF = "Every day is Lucario day!"
STRINGS.RECIPE_DESC.BONERUSH = "A strong bone made of aura."
STRINGS.RECIPE_DESC.BONESHARD = "Remove bones for use. RoG/SW ONLY"
STRINGS.RECIPE_DESC.BONESHARDDUMMY = "Remove bones for use. SW ONLY"
STRINGS.RECIPE_DESC.DREAMSPHERE = "A calming aura that can inflict sleep."
STRINGS.RECIPE_DESC.LUCARIOHAT = "An aura guardian's hat!"
STRINGS.RECIPE_DESC.LUCARIOHATI = "Invisible Aura Guardian Hat"
STRINGS.RECIPE_DESC.METALCLAW = "A TM for Metal Claw."
STRINGS.RECIPE_DESC.SHADOWCLAW = "It seems more evil than usual."
STRINGS.RECIPE_DESC.SOLARSPHERE = "The aura of the sun."
STRINGS.RECIPE_DESC.SWIFTSPHERE = "The very essence of speed!"
STRINGS.RECIPE_DESC.VIOLENTSPHERE = "Dangerously powerful aura."

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.lucario = "The Aura Pokemon"
GLOBAL.STRINGS.CHARACTER_NAMES.lucario = "LUCARIO"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.lucario = "*Grows a Winter Coat\n*Is terrified of fire\n*Controls the power of Aura"
GLOBAL.STRINGS.CHARACTER_QUOTES.lucario = "\"I will show you the way of Aura\""

STRINGS.CHARACTER_TITLES.shinycario = "The Aura Pokemon"
STRINGS.CHARACTER_NAMES.shinycario = "LUCARIO"
STRINGS.CHARACTER_DESCRIPTIONS.shinycario = "*Grows a Winter Coat\n*Is terrified of fire\n*Controls the power of Aura"
STRINGS.CHARACTER_QUOTES.shinycario = "\"I will show you the way of Aura\""

STRINGS.CHARACTER_TITLES.mlucario = "The Aura Pokemon"
STRINGS.CHARACTER_NAMES.mlucario = "LUCARIO"
STRINGS.CHARACTER_DESCRIPTIONS.mlucario = "*Deals increased damage at low health\n*Is terrified of fire\n*Controls the power of Aura"
STRINGS.CHARACTER_QUOTES.mlucario = "\"I will show you the way of Aura\""

STRINGS.CHARACTER_TITLES.mshinycario = "The Aura Pokemon"
STRINGS.CHARACTER_NAMES.mshinycario = "LUCARIO"
STRINGS.CHARACTER_DESCRIPTIONS.mshinycario = "*Deals increased damage at low health\n*Is terrified of fire\n*Controls the power of Aura"
STRINGS.CHARACTER_QUOTES.mshinycario = "\"I will show you the way of Aura\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.LUCARIO = require "speech_lucario"
GLOBAL.STRINGS.CHARACTERS.SHINYCARIO = require "speech_lucario"
GLOBAL.STRINGS.CHARACTERS.MLUCARIO = require "speech_mlucario"
GLOBAL.STRINGS.CHARACTERS.MSHINYCARIO = require "speech_mlucario"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "lucario")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "shinycario")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "mlucario")
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "mshinycario")



AddMinimapAtlas("images/map_icons/lucario.xml")
AddMinimapAtlas("images/map_icons/shinycario.xml")
AddMinimapAtlas("images/map_icons/mlucario.xml")
AddMinimapAtlas("images/map_icons/mshinycario.xml")

AddModCharacter("lucario", "NEUTRAL")
AddModCharacter("shinycario", "NEUTRAL")
AddModCharacter("mlucario", "NEUTRAL")
AddModCharacter("mshinycario", "NEUTRAL")

